%global sum     Utility for localized exposure correction

Name:           urbanlightscape
Version:        1.4.0
Release:        %mkrel 19
Summary:        %{sum}
Group:          Graphics/Photography
License:        GPLv2+
Url:            https://www.indii.org/software/urbanlightscape
Source0:        https://www.indii.org/files/urbanlightscape/releases/%{name}-%{version}.tar.gz
Source1:        https://www.indii.org/images/%{name}_128.png
Patch1:         urbanlightscape-wxBitmapBundle.patch
ExclusiveArch:  %{ix86} x86_64
# bc is used to detect wxgtk
BuildRequires:  bc
BuildRequires:  boost-devel
BuildRequires:  imagemagick
BuildRequires:  libgomp-devel
BuildRequires:  wxgtk-devel

%description
Use Urban Lightscape for exposure correction, localized brightness
adjustments and the introduction of artificial lighting to a photo.
By placing control points on the photo, you are able to lighten or
darken (dodge or burn) at these points, with Urban Lightscape
cleverly interpolating between these points to infill adjustments
across the entire photo.

%prep
%autosetup -p1

%build
# The added CXXFLAGS are suggested in the README file
%ifarch x86_64
%define upstream_flags -msse2 -O3 -g3
%else
%define upstream_flags -msse -O3 -g3
%endif
%configure CXXFLAGS="${CXXFLAGS} %{upstream_flags}"
%make_build

%install
%make_install

# Icon
install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Urban Lightscape
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.4.0-19.mga10
+ Revision: 2214775
- Mageia 10 Mass Rebuild

* Fri Jul 15 2022 wally <wally> 1.4.0-18.mga9
+ Revision: 1869001
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1.4.0-17.mga9
+ Revision: 1864110
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 1.4.0-16.mga9
+ Revision: 1850149
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 1.4.0-15.mga9
+ Revision: 1842869
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 1.4.0-14.mga9
+ Revision: 1768490
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 1.4.0-13.mga9
+ Revision: 1765708
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 1.4.0-12.mga8
+ Revision: 1667731
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.0-11.mga8
+ Revision: 1614372
- rebuild for new wxgtk 3.1.4

* Wed Apr 15 2020 danf <danf> 1.4.0-10.mga8
+ Revision: 1567575
- Fix Comment= in .desktop file to stop referring to debug sources

* Tue Feb 18 2020 umeabot <umeabot> 1.4.0-9.mga8
+ Revision: 1538028
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 1.4.0-8.mga8
+ Revision: 1459493
- rebuild for wxgtk 3.1.3

* Sun Jul 14 2019 wally <wally> 1.4.0-7.mga8
+ Revision: 1421087
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Oct 21 2018 wally <wally> 1.4.0-6.mga7
+ Revision: 1323415
- build only on ix86 and x86_64

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-5.mga7
+ Revision: 1301540
- Mageia 7 Mass Rebuild

* Sat Jun 03 2017 akien <akien> 1.4.0-4.mga6
+ Revision: 1106130
- Rebuild for wxgtk 3.0.3.1

* Fri Jun 03 2016 akien <akien> 1.4.0-3.mga6
+ Revision: 1020177
- Attempt to fix i586 build
- Disable sse2 opt on non-x86_64 arches
+ daviddavid <daviddavid>
- rebuild for wxgtk3.0 built with GTK2

* Tue Jan 12 2016 akien <akien> 1.4.0-1.mga6
+ Revision: 922291
- Version 1.4.0

* Fri Aug 14 2015 ycantin <ycantin> 1.3.3-7.mga6
+ Revision: 864742
- rebuild for new wxgtk built with wxRE_ADVANCED
- typos

* Thu Jul 23 2015 akien <akien> 1.3.3-6.mga6
+ Revision: 856249
- Rebuild for wxgtk

* Wed Feb 11 2015 akien <akien> 1.3.3-5.mga5
+ Revision: 814661
- Build with openmpi support

* Wed Feb 11 2015 akien <akien> 1.3.3-4.mga5
+ Revision: 814652
- Rebuild against wxWidgets 3.0, the application crashes with wxWidgets 2.8

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 740316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 690073
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 akien <akien> 1.3.3-1.mga5
+ Revision: 639435
- Add CXXFLAGS suggested by upstream
- Version 1.3.3
- Add desktop entry and icon from upstream

* Sat Apr 26 2014 akien <akien> 1.3.2-1.mga5
+ Revision: 618206
- imported package urbanlightscape

